Knowledge Library
Knowledge Library Home
Knowledge Library Home Knowledge Library Installation & Licensing Installation INSTSUITE-1429 : [host os] [ubuntu 10.04 64] Installer generates 'wrong ELF class: ELFCLASS64' error messages when installing on Ubuntu 10.04 64-bit

Learn more about page titles
INSTSUITE-1429 : [host os] [ubuntu 10.04 64] Installer generates 'wrong ELF class: ELFCLASS64' error messages when installing on Ubuntu 10.04 64-bit

Defect #: INSTSUITE-1429
Previous IDINSTSUITE-5451, INSTSUITE-5430, WIND00239921
Found In Version2.2.3
Severity:Low
Status:Not to be Fixed
Created Date:11/04/2010
Component/s :Suite Installer
Required RPM Updates:Suite Installer

Description

During a recent install of NAP 1.1 spin 3 DVDs on an Ubuntu 10.04 LTS, 64-bit laptop,
error messages were seen:
 
dlkrejsa@dlkrejsa-z890:~/wrs/nap11s3_dvds/DVD-R163800.1-1-00_101026_112247$ ./setup_linux
Extracting JRE...
Extracting Installer...
Launching installer...
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

I've seen this with other Wind River installs on the same machine in the past.  I haven't
noticed any ill effect other than the error messages, however.

Workaround

ignore errors

Stephen Gooch reported this to work for him:
unset UBUNTU_MENUPROXY
export GDK_PIXBUF_MODULE_FILE=/usr/lib32/gdk-pixbuf-2.0/2.10.0/loaders.cache

A customer has also provided the following suggestion to workaround the issue:

-          On a 64-bit system, ensure the 32 bit libraries are installed.  For example, on debian base packaged systems:

o   # sudo apt-get install ia32-libs lib32nss-mdns

-          You can then safely ignore the warnings that are produced at installation

-          Also, if you attempted an installed and it failed, be sure to remove all files/directories in the destination directory.

Steps to Reproduce

Install a recent Wind River product on an up-to-date Ubuntu 10.04 64-bit machine.



Then click Browser... button to choose install location

Content ID: KLID_DEFECT_669
 
Last modified